## org.bn.compiler.parser.model
Class AsnInteger

    java.lang.Object
      org.bn.compiler.parser.model.AsnInteger

    public class AsnInteger

extends java.lang.Object

Field Summary
`java.lang.String` `BUILTINTYPE`
`AsnConstraint` `constraint`
`java.lang.String` `name`
`AsnNamedNumberList` `namedNumberList`

Constructor Summary
`AsnInteger()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BUILTINTYPE

    public final java.lang.String BUILTINTYPE

See Also:
  Constant Field Values

### constraint

    public AsnConstraint constraint

### name

    public java.lang.String name

### namedNumberList

    public AsnNamedNumberList namedNumberList

Constructor Detail

### AsnInteger

    public AsnInteger()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`